package com.huimv.eartag2.manage2.controller;


import com.huimv.eartag2.common.utils.Result;
import com.huimv.eartag2.manage2.service.BaseFarmService;
import com.huimv.eartag2.manage2.utils.Filter;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *      牧场基础配置
 * </p>
 *
 * @author zn
 * @since 2022-07-27
 */
@RestController
@RequestMapping("/base-farm")
public class BaseFarmController {
    @Resource
    private BaseFarmService baseFarmService;

    /**
     * @description: 【增加】
     * @author: 静静
     * @param: maps
     **/
    @PostMapping("/add")
    public Result addConfig(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> maps){
        return baseFarmService.add(httpServletRequest,maps);
    }

    /**
     * @description: 【删除】
     * @author: 静静
     * @param: ids
     **/
    @PostMapping("/remove")
    public Result removeConfig(@RequestBody String ids){
        return baseFarmService.remove(ids);
    }

    /**
     * @description: 【修改】
     * @author: 静静
     * @param: maps
     **/
    @PostMapping("/update")
    public Result updateConfig(@RequestBody  Map<String, String> maps){
        return baseFarmService.update(maps);
    }
    /**
     * @description: 【查询】 分页查询配置表
     * @author: 静静
     * @param: paramsMap
     **/
    @PostMapping("/list")
    public Result list(HttpServletRequest httpServletRequest,@RequestBody Map<String,String> paramsMap){
        return baseFarmService.list(httpServletRequest,paramsMap);
    }




}

